<?php

/**
 * Demo importer custom function
 * We use https://wordpress.org/plugins/one-click-demo-import/ to import our demo content
 */

// Disable branding.
add_filter('pt-ocdi/disable_pt_branding', '__return_true');

/**
 * Define demo file
 */
function videocloud_import_files() {
	return array(
		array(
			'import_file_name'             => 'Videocloud Pro',
			'local_import_file'            => get_template_directory() . '/demo-content/dummy-data.xml',
			'local_import_widget_file'     => get_template_directory() . '/demo-content/widgets.wie',
			'local_import_customizer_file' => get_template_directory() . '/demo-content/customizer.dat',
			'import_preview_image_url'    => get_template_directory_uri() . '/screenshot.png',
			'preview_url'                 => 'https://www.happythemes.com/demo/videocloud-pro/',
		)
	);
}
add_filter('pt-ocdi/import_files', 'videocloud_import_files');

/**
 * After import function
 */
function videocloud_after_import_setup() {

	// Assign menus to their locations.
	$primary = get_term_by('name', 'Primary Menu', 'nav_menu');

	set_theme_mod('nav_menu_locations', array(
		'primary' => $primary->term_id,
		'footer'  => $primary->term_id,
	));

	// // Assign front page.
	// $front_page_id = get_page_by_title('Home');
	// $posts_page_id = get_page_by_title('Blog');

	// update_option('show_on_front', 'page');
	// update_option('page_on_front', $front_page_id->ID);
	// update_option('page_for_posts', $posts_page_id->ID);
}
add_action('pt-ocdi/after_import', 'videocloud_after_import_setup');
